The Apache Haus Forum

Advanced search  

News:

Welcome to Apache Haus Distribution Forum

Pages: [1]   Go Down

Author Topic: mod_security 2.6.0  (Read 3863 times)

Gregg

  • Administrator
  • Member Elite
  • *****
  • Offline Offline
  • Posts: 847
mod_security 2.6.0
« on: May 20, 2011, 05:10:44 AM »

Well, it's out. I'll build it tomorrow or Saturday evening for 2.2.18/19 unless you beat me to it Mario  ;) If you do, build it against a svn dump of httpd and the test tarballs for APR 1.4.5 & APU 1.3.12, that way it will not squeal come 2.2.19.

I was looking in the tracker a few minutes ago and "they" say it works with 2.3.x, but I may have to get on there and tell them "they" are wrong, unless they realized the check for Apache's API is not APR/2, and they romoved or circumvented the hook that no longer exists in 2.3.

@Devsys, the answer is no ;D It will be included w/ 2.3.12 which should come in a couple of days, around the same time or sooner than 2.2.19.
Logged

DnvrSysEngr

  • Jr. Member
  • **
  • Offline Offline
  • Posts: 80
Re: mod_security 2.6.0
« Reply #1 on: May 21, 2011, 05:17:36 PM »

Thank you for the update Gregg.  I am currently running Mod_Security 2.6.0 RC1 with Apache 2.3.1. It works fine and catches a lot (oh the joys of having Apache with Mod_Sec on a server for an international company).

Looking forward to your build of Apache 2.3.12 when it's ready.

~S
Logged
Pages: [1]   Go Up
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13